Debian Bug report logs - #727981
sylpheed: update config.{sub,guess} for the AArch64 port

version graph

Package: src:sylpheed; Maintainer for src:sylpheed is Ricardo Mones <mones@debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Sun, 27 Oct 2013 16:12:29 UTC

Severity: normal

Found in version sylpheed/3.4.0~beta4-1

Fixed in version sylpheed/3.4.0~beta6-1

Done: Ricardo Mones <mones@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sylpheed.sraoss.jp/redmine/issues/117

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Ricardo Mones <mones@debian.org>:
Bug#727981; Package src:sylpheed. (Sun, 27 Oct 2013 16:12:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Ricardo Mones <mones@debian.org>. (Sun, 27 Oct 2013 16:12:34 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: sylpheed: update config.{sub,guess} for the AArch64 port
Date: Sun, 27 Oct 2013 16:01:56 +0000
Package: src:sylpheed
Version: 3.4.0~beta5-1
Severity: normal
User: debian-arm@lists.debian.org
Usertags: arm64

The package fails to build on arm64 (aarch64-linux-gnu), because the
config.{guess,sub} files are out of date, and are not updated during
the build.  If possible, please do not update these files directly,
but build-depend on autotools-dev instead, and use the tools provided
by autotools-dev to update these files.

  - For dh, call dh --with autotools_dev (yes, underscore).

  - For other rules files, call dh_autotools-dev_updateconfig before
    calling configure (in the build or configure target), and call
    dh_autotools-dev_restoreconfig before calling dh_clean in the clean
    target.

For combining autoreconf and autotools_dev, see bug #698765.

After the build on any architecture, and before a clean, a grep for
aarch64 in the config.sub file(s) should print some lines.

The full build log can be found at:
http://people.debian.org/~doko/logs/arm64-20131027/buildlog_ubuntu-trusty-arm64.sylpheed_3.4.0~beta5-1ubuntu1_FAILEDTOBUILD.txt
The last lines of the build log are at the end of this report.

Please note that these build were done in an Ubuntu development,
environment there may be a few false positives in these bug reports.

[...]
faqdir=''
host=''
host_alias=''
host_cpu=''
host_os=''
host_vendor=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${prefix}/share/info'
install_sh=''
libdir='${prefix}/lib/aarch64-linux-gnu'
libexecdir='${prefix}/lib/aarch64-linux-gnu'
localedir='${datarootdir}/locale'
localstatedir='/var'
lt_ECHO='echo'
mandir='${prefix}/share/man'
manualdir=''
oldincludedir='/usr/include'
pdfdir='${docdir}'
plugindir=''
prefix='/usr'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='/etc'
target=''
target_alias=''
target_cpu=''
target_os=''
target_vendor=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define PACKAGE_STRING ""
#define PACKAGE_BUGREPORT ""
#define PACKAGE_URL ""

configure: exit 1
dh_auto_configure: ./configure --build=aarch64-linux-gnu --prefix=/usr --includedir=${prefix}/include --mandir=${prefix}/share/man --infodir=${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --libdir=${prefix}/lib/aarch64-linux-gnu --libexecdir=${prefix}/lib/aarch64-linux-gnu --disable-maintainer-mode --disable-dependency-tracking --enable-gpgme --enable-ssl --enable-jpilot --enable-ldap --enable-jconv --enable-ipv6 --enable-gtkspell --enable-oniguruma --disable-updatecheck --with-plugindir=/usr/lib/aarch64-linux-gnu/sylpheed/plugins --with-manualdir=/usr/share/doc/sylpheed-doc/manual --with-faqdir=/usr/share/doc/sylpheed-doc/FAQ returned exit code 1
make[1]: *** [override_dh_auto_configure] Error 255
make[1]: Leaving directory `/build/buildd/sylpheed-3.4.0~beta5'
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2



No longer marked as found in versions sylpheed/3.4.0~beta5-1. Request was from Ricardo Mones <mones@debian.org> to control@bugs.debian.org. (Mon, 28 Oct 2013 11:42:08 GMT) Full text and rfc822 format available.

Marked as found in versions sylpheed/3.4.0~beta4-1. Request was from Ricardo Mones <mones@debian.org> to control@bugs.debian.org. (Mon, 28 Oct 2013 11:42:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://sylpheed.sraoss.jp/redmine/issues/117'. Request was from Ricardo Mones <mones@debian.org> to control@bugs.debian.org. (Mon, 28 Oct 2013 11:42:11 GMT) Full text and rfc822 format available.

Information stored :
Bug#727981; Package src:sylpheed. (Mon, 28 Oct 2013 11:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
Extra info received and filed, but not forwarded.

You requested that the message be sent to the package maintainer(s) but either the Bug report is not associated with any package (probably because of a missing Package pseudo-header field in the original Bug report), or the package(s) specified do not have any maintainer(s).

Your message has *not* been sent to any package maintainers; it has merely been filed in the Bug tracking system. If you require assistance please contact owner@bugs.debian.org quoting the Bug number 727981.

(Mon, 28 Oct 2013 11:42:15 GMT) Full text and rfc822 format available.


Message #16 received at 727981-maintonly@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: Matthias Klose <doko@debian.org>
Cc: 727981-maintonly@bugs.debian.org
Subject: Re: Bug#727981: sylpheed: update config.{sub,guess} for the AArch64 port
Date: Mon, 28 Oct 2013 12:39:56 +0100
[Message part 1 (text/plain, inline)]
notfound 727981 sylpheed/3.4.0~beta5-1
found 727981 sylpheed/3.4.0~beta4-1
forwarded 727981 http://sylpheed.sraoss.jp/redmine/issues/117
thanks

On Sun, Oct 27, 2013 at 04:01:56PM +0000, Matthias Klose wrote:
> Package: src:sylpheed
> Version: 3.4.0~beta5-1
[...]
> Please note that these build were done in an Ubuntu development,
> environment there may be a few false positives in these bug reports.

  Yeah, I've noticed, the version you reported isn't uploaded to Debian ;-)

  I've reported this to upstream months ago, but no luck so far :(

  regards,
-- 
  Ricardo Mones 
  ~
  Datei nicht gefunden                                     Fehler 404

[signature.asc (application/pgp-signature, inline)]

Reply sent to Ricardo Mones <mones@debian.org>:
You have taken responsibility. (Wed, 30 Oct 2013 00:54:14 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Wed, 30 Oct 2013 00:54:14 GMT) Full text and rfc822 format available.

Message #21 received at 727981-close@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: 727981-close@bugs.debian.org
Subject: Bug#727981: fixed in sylpheed 3.4.0~beta6-1
Date: Wed, 30 Oct 2013 00:48:37 +0000
Source: sylpheed
Source-Version: 3.4.0~beta6-1

We believe that the bug you reported is fixed in the latest version of
sylpheed, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727981@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ricardo Mones <mones@debian.org> (supplier of updated sylpheed package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 30 Oct 2013 01:29:01 +0100
Source: sylpheed
Binary: sylpheed sylpheed-dbg sylpheed-i18n sylpheed-plugins
Architecture: source amd64 all
Version: 3.4.0~beta6-1
Distribution: unstable
Urgency: low
Maintainer: Ricardo Mones <mones@debian.org>
Changed-By: Ricardo Mones <mones@debian.org>
Description: 
 sylpheed   - Light weight e-mail client with GTK+
 sylpheed-dbg - Debugging symbols for sylpheed, a GTK+ e-mail client
 sylpheed-i18n - Locale data for Sylpheed (i18n support)
 sylpheed-plugins - Loadable modules for extending Sylpheed features
Closes: 727981
Changes: 
 sylpheed (3.4.0~beta6-1) unstable; urgency=low
 .
   * New upstream development release
   - Includes updated config.{sub,guess} (Closes: #727981)
   * debian/rules
   - Remove unrecognized option
   * debian/control
   - Update Vcs-* fields to use canonical URLs
   - Update Standards-Verson to 3.9.5 (no other changes required)
   - Update sylpheed-i18n long description to add Finnish and Basque
Checksums-Sha1: 
 5f3f9465ca14fb5b5a12e9424bf8f7f577cb6ded 1743 sylpheed_3.4.0~beta6-1.dsc
 27305a21e58b9a2294bb5d5183aced73eb9d3523 5103333 sylpheed_3.4.0~beta6.orig.tar.gz
 e0fcb3a243cbcba7f1e33379c178aa0090a36d01 25181 sylpheed_3.4.0~beta6-1.debian.tar.gz
 e6292eb718e7ad6ca0c4c175fa2e600522f9800f 790448 sylpheed_3.4.0~beta6-1_amd64.deb
 a87e4d53ad3c2a23d0975ccd7d21a14a86dfb4e7 3400856 sylpheed-dbg_3.4.0~beta6-1_amd64.deb
 7eb7a047e37d2f5573e7c9c4308e222de7e8faba 775942 sylpheed-i18n_3.4.0~beta6-1_all.deb
 56ccbe3531c237b0c513f7717d02ca26ff2ecc32 86550 sylpheed-plugins_3.4.0~beta6-1_amd64.deb
Checksums-Sha256: 
 c53c290cb5f8d07358c241819de0886922857fadff413de24224b6e714bf6758 1743 sylpheed_3.4.0~beta6-1.dsc
 b022df89ee3eb5efe992941f908ac54ef39e78e54dd2b499a753f1b3eedf9272 5103333 sylpheed_3.4.0~beta6.orig.tar.gz
 b7693d0b0807bb0246288b54f63856d5f2c59dea557e124d02865d106449b89e 25181 sylpheed_3.4.0~beta6-1.debian.tar.gz
 6a0a5a03c349596073938556458a64c2645f31162c5be22ff85077edf55b4e17 790448 sylpheed_3.4.0~beta6-1_amd64.deb
 ccf6e72ff5ca640b51be64914ce072aa1431d4e205fd4a3d46f9b4d463155435 3400856 sylpheed-dbg_3.4.0~beta6-1_amd64.deb
 29df26d125d9781f246c0623ce59896515a182959f1794413994a3e84f04842c 775942 sylpheed-i18n_3.4.0~beta6-1_all.deb
 6c0a0acb5655515879c6339a718c9573faa408cbb0b26934557c1b18850ba08e 86550 sylpheed-plugins_3.4.0~beta6-1_amd64.deb
Files: 
 ad03c6f7531733337f339841fe582499 1743 mail optional sylpheed_3.4.0~beta6-1.dsc
 ab6b6999081eea97694992147c63074d 5103333 mail optional sylpheed_3.4.0~beta6.orig.tar.gz
 888ce77d1bcf2fc0bb457ee43bb63ac4 25181 mail optional sylpheed_3.4.0~beta6-1.debian.tar.gz
 c249c48f866db5b9900fcf03ac41bad9 790448 mail optional sylpheed_3.4.0~beta6-1_amd64.deb
 c0df9473ec86da173a43e60e74c06776 3400856 debug extra sylpheed-dbg_3.4.0~beta6-1_amd64.deb
 42b1d3588f71dc01aa48c30ba11617cf 775942 localization optional sylpheed-i18n_3.4.0~beta6-1_all.deb
 f3a63baec116fcc9f2af029364b1d944 86550 mail optional sylpheed-plugins_3.4.0~beta6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlJwVtYACgkQLARVQsm1Xawx5gCfR8+y+HbD6pfshNm/SsKKVkto
QsUAnAw+dm1LEflGKaO6t7rOQFN/QfIB
=DjtC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Dec 2013 07:40:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:53:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.